Subject: Yes! Chantarelles NOT Jack O'Lantern

From: [email-masked] (Evan L. Cooper)
Date: 11 Jul 1995 10:10:51 GMT

Greetings!

Thanks to everyone for their help with my question regarding identification
of my mushrooms. After reading the posted and emailed replies I became
pretty sure that they were Chantarelles. I went over to the Duke University
Biology department looking for Prof. Rytas Vilgalys. He is on sabbatical
until August. Members of his research group were very helpful, though.
Particularly one experienced field collector who positively identified
a couple of specimens I brought in as Chantarelle.

They have the blunt forked folds instead of gills as everyone mentioned. They 
are growing out of the ground and not attached to wood as some stated. They 
did have a faint apricot-like odor.

And, they are delicious. Nice peppery taste. Yum!

Thanks again!

Evan L. Cooper                ([email-masked])